<?php

class Locations
{
	protected $list = false;
	protected $missing = false;
	protected $missingModified = false;

	function __construct() {
		$this->list = @json_decode(@file_get_contents("locations.json"));
		if (!$this->list) {
			$this->list = new stdClass();
		}

		$this->missing = @json_decode(@file_get_contents("locations_missing.json"));
		if (!$this->missing) {
			$this->missing = new stdClass();
		}
	}

	function getCoords($location) { // returns object { lat: xx, lng: xx }
		if ($this->list->$location) {
			return $this->list->$location;
		}
		else {
			if ($this->missing->$location != -1) {
				$this->missing->$location = 1;

				$this->missingModified = true;
			}
		}
	}

	function retrieveMissing() {
		foreach ($this->missing as $addr => $state)
		{
			if ($state == -1) continue;

			set_time_limit(60);

			$data = $this->geocode($addr);
			if (!$data) {
				$this->missing->$addr = -1;
			}
			else {
				unset($this->missing->$addr);

				$this->list->$addr = $data;
			}

			echo "retrieving: $addr\n";
			sleep(1);
		}

		file_put_contents("locations.json", json_encode($this->list));
		file_put_contents("locations_missing.json", json_encode($this->missing));
	}
	
	protected function geocode($address)
	{
		$url = "http://maps.google.com/maps/api/geocode/json?sensor=false&address=".urlencode($address);

		$resp_json = file_get_contents($url);
		$resp = json_decode($resp_json, true);

		if($resp['status'] == 'OK') {
	 
			$lat = $resp['results'][0]['geometry']['location']['lat'];
			$lng = $resp['results'][0]['geometry']['location']['lng'];
			 
			if($lat && $lng) {
				return (object) array("lat" => $lat, "lng" => $lng);
			}
		}
		
		return false;
	}
}