<?php
require_once "Locations.php";
$locations = new Locations();
?>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<title>obedovat.blade.sk - zomato na mape - obedové menu Bratislava</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
	<meta name="description" content="Obedové menu z webu zomato.com (bývalé obedovat.sk) na mape">
	
	<link rel="icon" type="image/png" href="assets/favicon_l.png">
    <link rel="apple-touch-icon-precomposed" href="assets/og.png">
    <meta property="og:image" content="http://obedovat.blade.sk/assets/og.png">

	<link href='http://fonts.googleapis.com/css?family=Roboto:400,500&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" href="assets/style.css">
	<link rel="stylesheet" href="assets/font-awesome.css">
	<link rel="stylesheet" href="leaflet/leaflet.css">
</head>
<body>
	<?php
	$city = "ba";

	$cityCoords = array(
		'ba' => '48.148135, 17.11103',
		'nr' => '48.30798, 18.08590',
		'bb' => '48.73830, 19.15501',
		'ke' => '48.71883, 21.25468',
		'pe' => '48.99920, 21.23580',
		'za' => '49.22096, 18.74027',
		'tn' => '48.89418, 18.03715',
		'tt' => '48.37575, 17.58448',
	);

	$cityNames = array(
		'ba' => 'Bratislava',
		'nr' => 'Nitra',
		'bb' => 'Banská Bystrica',
		'ke' => 'Košice',
		'pe' => 'Prešov',
		'za' => 'Žilina',
		'tn' => 'Trenčín',
		'tt' => 'Trnava',
	);

	?>

	<header>
		<img src="assets/logo.png" alt="">
		<div class="title">
			<h1>obedovat.blade.sk</h1>
			<span class="slogan">obedové menu zo zomata na mape</span>
		</div>
		<div class="controls">
			<a href="" class="locate"><i class="fa fa-crosshairs"></i><i class="fa fa-circle-o-notch fa-spin"></i></a>
			<a href="" class="info"><i class="fa fa-info-circle"></i></a>
		</div>
	</header>

	<div id="map"></div>

	<div class="infoPanel">
		<p><b>Obedovat.blade.sk</b> slúži na pozeranie obedových menu na mape, dokiaľ takúto funkciu nespraví <a href="http://www.zomato.com/sk/" target="_blank">zomato</a>. Funguje aj na mobiloch a tabletoch.</p>
		<p>Keď bude čas, pridám aj ďalšie mestá. :)</p>
		<p>Údaje boli aktualizované <b><?= date("j.n.Y", filemtime("data_$city.json")) ?></b></p>
		<p class="copy">Created by <a href="http://blade.sk" target="_blank">blade.sk</a> | Data provided by <a href="http://www.zomato.com/" target="_blank">zomato.com</a></p>
		<!--a href="#" class="close"><i class="fa fa-times"></i></a-->
	</div>

	<div id="restaurants" style="display: none;">
	<?php
	$data = json_decode(file_get_contents("data_$city.json"));
	if ($data) foreach ($data as $i => $rest)
	{
		$c = $locations->getCoords($rest->loc);
		if (!$c) continue;

		echo '<div class="restaurant" data-id="'.$i.'" data-lat="'.$c->lat.'" data-lng="'.$c->lng.'">';
		echo $rest->menuHtml;
		echo '</div>'."\n";
	}
	?>
	</div>

	<div class="brInfo" style="display: none;"></div>

	<script src="jquery-2.1.3.min.js"></script>
	<script src="leaflet/leaflet.js"></script>
	<script src="main.js"></script>
	<script>var defaultCoords = [<?= $cityCoords[$city] ?>];</script>
</body>
</html>